[Deprecated]: v4.0
get
/ec-query-svc/rest/v4.0/studies/{studyId}/{mode}/queries/{queryId}
Deprecated: Use latest version instead. Compared to v3.0, this v4.0 endpoint returns QueryDTOv4 payloads that include objectVersionNumber and study role metadata so clients can enforce optimistic locking when reading queries. This improves user integration reliability.
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: test (testing sandbox), training (training environment), and active (production).
-
queryId(required): string(uuid)
Query ID.
-
studyId(required): string(uuid)
Clinical One study identifier formatted as a 32 to 36 character GUID.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Query retrieved successfully.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
400 Response
Request validation failed due to missing, invalid, or inconsistent request data.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
404 Response
Returned when no query matches the supplied identifier.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples
500 Response
Returned when an unexpected error occurs while retrieving the query.
Root Schema : Response DTO
Type:
objectBase envelope returned by Query APIs. Use the status field to determine whether result or errorData is populated.
Show Source
-
errorData: object
Error details DTO
Standard structure used to describe errors returned by Query APIs.
-
result: object
result
Result payload returned when status equals success.
-
status: string
Read Only:
trueAllowed Values:[ "success", "failed" ]Overall execution status. Value is success when result is populated and failed when errorData is returned.Example:success -
version: string
Read Only:
trueSemantic version of the response envelope.Example:1
Example:
{\n \"status\": \"success\",\n \"result\": {\n \"id\": \"AE33A9096BF548BBB29A96E399E9FBBB\",\n \"state\": \"Answered\"\n },\n \"errorData\": null,\n \"version\": \"1\"\n}Nested Schema : Error details DTO
Type:
objectStandard structure used to describe errors returned by Query APIs.
Show Source
-
details: object
QueryRestErrorDetail
Read Only:
trueContext object returned when additional error metadata is available. -
errorCode: string
Read Only:
trueMachine-readable error code that identifies the failure.Example:QRY-5000 -
errorMessage: string
Read Only:
trueHuman-readable explanation describing why the request failed.Example:Unexpected server error.
Example:
{
"errorCode":"QRY-5000",
"errorMessage":"Unexpected server error.",
"details":{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request after verifying the study mode."
}
}Nested Schema : result
Type:
objectResult payload returned when status equals success.
Example:
{
"opened":3,
"answered":1,
"closed":2
}Nested Schema : QueryRestErrorDetail
Type:
objectRead Only:
trueContext object returned when additional error metadata is available.
Show Source
-
hint: string
Client-facing guidance that clarifies how to resolve or retry the request.Example:
Retry request after verifying the study mode. -
requestId: string
Unique identifier that can be supplied to Oracle Support when troubleshooting.Example:
3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a -
supportCode: string
Support or incident code associated with the error source.Example:
QRY-5000
Example:
{
"requestId":"3b3b8f31-87a3-4dd2-8b9d-21d0c93ef27a",
"supportCode":"QRY-5000",
"hint":"Retry request"
}Examples